﻿# Create VM network for tenant
$tenantname = "Green"

$subnet0 = "192.168.0.0/24"
$IPrangeStart0 = "192.168.0.4"
$IPrangeEnd0 = "192.168.0.254"
$gateway0 = "192.168.0.1"

$subnet1 = "192.168.1.0/24"
$IPrangeStart1 = "192.168.1.4"
$IPrangeEnd1 = "192.168.1.254"
$gateway1 = "192.168.1.1"

$DNSserver = "192.168.80.10"


$logicalNetwork = Get-SCLogicalNetwork -Name "HNVPA"

# tenant VM net
$vmNetwork = New-SCVMNetwork -Name "$tenantname VMnet" -LogicalNetwork $logicalNetwork -IsolationType "WindowsNetworkVirtualization" -CAIPAddressPoolType "IPV4" -PAIPAddressPoolType "IPV4"

# tenant subnets
$subnetVLan0 = New-SCSubnetVLan -Subnet $subnet0
$VMsubnet0 = New-SCVMSubnet -Name "$tenantname VMnet_0" -VMNetwork $vmNetwork -SubnetVLan $subnetVLan0
$subnetVLan1 = New-SCSubnetVLan -Subnet $subnet1
$VMsubnet1 = New-SCVMSubnet -Name "$tenantname VMnet_1" -VMNetwork $vmNetwork -SubnetVLan $subnetVLan1

# VMnet_0

# Gateways
$allGateways = @()
$allGateways += New-SCDefaultGateway -IPAddress $gateway0 -Automatic
# DNS servers
$allDnsServer = @($DNSserver)
# DNS suffixes
$allDnsSuffixes = @()
# WINS servers
$allWinsServers = @()

New-SCStaticIPAddressPool -Name "$Tenantname IP Pool 0" -VMSubnet $VMsubnet0 -Subnet $subnet0 -IPAddressRangeStart $IPrangeStart0 -IPAddressRangeEnd $IPrangeEnd0 -DefaultGateway $allGateways -DNSServer $allDnsServer -DNSSuffix "" -DNSSearchSuffix $allDnsSuffixes -RunAsynchronously

# VMnet_1

# Gateways
$allGateways = @()
$allGateways += New-SCDefaultGateway -IPAddress $gateway1 -Automatic
# DNS servers
$allDnsServer = @($DNSserver)
# DNS suffixes
$allDnsSuffixes = @()
# WINS servers
$allWinsServers = @()

New-SCStaticIPAddressPool -Name "$Tenantname IP Pool 1" -VMSubnet $VMsubnet1 -Subnet $subnet1 -IPAddressRangeStart $IPrangeStart1 -IPAddressRangeEnd $IPrangeEnd1 -DefaultGateway $allGateways -DNSServer $allDnsServer -DNSSuffix "" -DNSSearchSuffix $allDnsSuffixes -RunAsynchronously
